using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 机票黑屏代码、询价表
    /// </summary>
    [SugarTable("Grp_AirInquiry")]
    public class Grp_AirInquiry:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }
        /// <summary>
        /// 黑屏代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string BlackCode { get; set; }
        /// <summary>
        /// 航段
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Routing { get; set; }
        /// <summary>
        /// 3U
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Carrier { get; set; }
        /// <summary>
        /// 航班号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string FlightNo { get; set; }
        /// <summary>
        /// 航班出发日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime DepartDate { get; set; }
        /// <summary>
        /// 航班起飞时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime DepartTime { get; set; }
        /// <summary>
        /// 航班落地时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime ArrivalTime { get; set; }
        /// <summary>
        /// 头等舱单价（全价）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal FirstYPrice { get; set; }
        /// <summary>
        /// 头等舱单价（即时）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal FirstCabinPrice { get; set; }
        /// <summary>
        /// 头等舱单价（全价）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal BusinessYPrice { get; set; }
        /// <summary>
        /// 头等舱单价（即时）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal BusinessCabinPrice { get; set; }
        /// <summary>
        /// 经济舱单价（全价）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal YPrice { get; set; }
        /// <summary>
        /// 经济舱单价（即时）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal CabinPrice { get; set; }
        /// <summary>
        /// 业务人员查询时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "dateTime")]
        public DateTime SearchDt { get; set; }
    }
}
